# Update customer addresses Update shipping address. Read more on Updating customer addresses Endpoint: PATCH /ordermanagement/v1/orders/{order_id}/customer-details Version: 1.0.0 ## Path parameters: - `order_id` (string, required) Order id ## Header parameters: - `Klarna-Idempotency-Key` (string) This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters. ## Request fields (application/json): - `shipping_address` (object) Shipping address for the capture. - `shipping_address.attention` (string) 'Attn.' - optional parameter. Example: "Anders Exempelsson" - `shipping_address.city` (string) City. Example: "Vetlanda" - `shipping_address.country` (string) Country. ISO 3166 alpha-2. Example: "se" - `shipping_address.email` (string) E-mail address. Example: "john.testsson@kustom.co" - `shipping_address.family_name` (string) Family name. Example: "Testsson" - `shipping_address.given_name` (string) Given name. Example: "John" - `shipping_address.organization_name` (string) Organization name (if applicable). Only applicable for B2B customers. Example: "Kustom" - `shipping_address.phone` (string) Phone number. Example: "1-555-555-5555" - `shipping_address.postal_code` (string) Postcode. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html). Example: 12345 - `shipping_address.region` (string) State/Region. Required for US. Example: "TN" - `shipping_address.street_address` (string) First line of street address. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html) Example: "Testgatan 10" - `shipping_address.street_address2` (string) Second line of street address. Example: 1 - `shipping_address.title` (string) Title. Example: "Herr" ## Response 403 fields (application/json): - `correlation_id` (string) Correlation id. For searching logs. Example: "66782175-ae05-44fc-9eb3-eeceadbad271" - `error_code` (string) Error code Example: "NOT_ALLOWED" - `error_messages` (array) Error messages ## Response 404 fields (*/*): - `correlation_id` (string) - `error_code` (string) Enum: "INTERNAL_ERROR", "NOT_FOUND", "TOO_MANY_REQUESTS", "REFUND_NOT_ALLOWED", "CAPTURE_NOT_ALLOWED", "CANCEL_NOT_ALLOWED", "UPDATE_NOT_ALLOWED", "NO_SUCH_ORDER", "BAD_REQUEST", "PAYLOAD_TOO_LARGE", "NO_SUCH_CAPTURE", "RESOURCE_NOT_FOUND", "INVALID_REQUEST_PARAMETERS", "NOT_ALLOWED", "UNSUPPORTED_MEDIA_TYPE", "FORBIDDEN" - `error_messages` (array)